/*****************************************************************************
 *- Utility Function Declarations (Non-Exported) ----------------------------*
 *****************************************************************************/

#include <visa.h>

#define hmf2500_NAN                 9.91e+37
#define hmf2500_NAN_VI_INT32        0x80000000

ViStatus hmf2500_InitAttributes (ViSession vi);
ViStatus hmf2500_DefaultInstrSetup (ViSession openInstrSession);
ViStatus hmf2500_CheckStatus (ViSession vi);
ViStatus hmf2500_WaitForOPC (ViSession vi, ViUInt32 maxTime);
ViInt32 hmf2500_StringIndex(ViString array[], ViChar buff[]); 
ViBoolean hmf2500_invalidViInt32Range (ViInt32 val, ViInt32 min, ViInt32 max);
ViBoolean hmf2500_invalidViUInt32Range (ViUInt32 val, ViUInt32 min, ViUInt32 max);
ViBoolean hmf2500_invalidViReal64Range (ViReal64 val, ViReal64 min, ViReal64 max);
ViBoolean hmf2500_invalidViBooleanRange (ViBoolean val);
ViStatus hmf2500_SetOPCTimeout(ViSession   instrSession, ViInt32 timeout);
ViStatus hmf2500_GetOPCTimeout(ViSession   instrSession, ViInt32 *timeout);
ViStatus hmf2500_CheckBeforeRead (ViSession instrSession, ViUInt32 maxTime);
ViStatus _VI_FUNC hmf2500_GetMeasString(
    ViSession   instrSession,
    ViString    command,
    ViInt32     timeout,
    ViInt32     arraySize,
    ViChar      result[],
    ViInt32*    returnedValues
    );
ViStatus _VI_FUNC hmf2500_GetMeasReal(
    ViSession   instrSession,
    ViString    command,
    ViInt32     timeout,
    ViReal64*    result);
ViStatus _VI_FUNC hmf2500_GetMeasInt(
    ViSession   instrSession,
    ViString    command,
    ViInt32     timeout,
    ViInt32*    result);
ViReal64 hmf2500_atof (ViChar *p2buf);
