/*****************************************************************************
 *  Rohde&Schwarz Instrument Driver Specific Attribute callbacks
 *
 *  WARNING: Do not add to, delete from, or otherwise modify the contents
 *           of this source file. It is generated from DrBase repository.
 *
 *  Built on: 2011-09-07 14:51:28Z
 *****************************************************************************/

#include "hmf2500.h"

/*****************************************************************************
 *- Repeated Capabilities ---------------------------------------------------*
 *****************************************************************************/

RsRepCap hmf2500_RsRepCapTable[] =
    {
/*
        {
        repCapName      ... Repeated capability name, e.g. "Channel"
        identifiers     ... Repeated capability identifiers (comma separated values), e.g. "Ch1,Ch2,Ch3"
        cmdValues       ... Command values (comma separated values), e.g. "1,2,3"
        },
*/

       {
        "HighLow",
        "LOW,HIGH",
        "LOW,HIGH"
       },
       {
        "ModM",
        "AM,FM,PM,PWM",
        "AM,FM,PM,PWM"
       },
       {
        "Sweep",
        "Center,Span,Start,Stop",
        "CENT,SPAN,STAR,STOP"
       },
       {
        "Edge",
        "RISE,FALL",
        "RISE,FALL"
       },
         NULL
    };

/*****************************************************************************
 *- Range Tables ------------------------------------------------------------*
 *****************************************************************************/

static RsRangeTableEntry hmf2500_rngFrequencyEntries[] =
{
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */50000000,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable hmf2500_rngFrequency =
{
  /* type        = */RS_VAL_RANGED,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */"Hz",
  /* rangeValues = */hmf2500_rngFrequencyEntries
};

static RsRangeTableEntry hmf2500_rngPowerLevelEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */20.00,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable hmf2500_rngPowerLevel =
{
  /* type        = */RS_VAL_RANGED,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */"V",
  /* rangeValues = */hmf2500_rngPowerLevelEntries
};

static RsRangeTableEntry hmf2500_rngIntExtEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"INT",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"EXT",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable hmf2500_rngIntExt =
{
  /* type        = */RS_VAL_DISCRETE,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */hmf2500_rngIntExtEntries
};

static RsRangeTableEntry hmf2500_rngPercentEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */100,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable hmf2500_rngPercent =
{
  /* type        = */RS_VAL_RANGED,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */"%",
  /* rangeValues = */hmf2500_rngPercentEntries
};

static RsRangeTableEntry hmf2500_rngFMDeviationEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */1000000000,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable hmf2500_rngFMDeviation =
{
  /* type        = */RS_VAL_RANGED,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */"Hz",
  /* rangeValues = */hmf2500_rngFMDeviationEntries
};

static RsRangeTableEntry hmf2500_rngPMDeviationEntries[] =
{
  {
      /* discreteOrMinValue = */-180,
      /* maxValue           = */180,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable hmf2500_rngPMDeviation =
{
  /* type        = */RS_VAL_RANGED,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */"deg",
  /* rangeValues = */hmf2500_rngPMDeviationEntries
};

static RsRangeTableEntry hmf2500_rngOutputFunctionEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"SIN",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"SQU",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */2,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"RAMP",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */3,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"PULS",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */4,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"ARB",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable hmf2500_rngOutputFunction =
{
  /* type        = */RS_VAL_DISCRETE,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */hmf2500_rngOutputFunctionEntries
};

static RsRangeTableEntry hmf2500_rngAmplitudeUnitEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"VOLT",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"DBM",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable hmf2500_rngAmplitudeUnit =
{
  /* type        = */RS_VAL_DISCRETE,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */hmf2500_rngAmplitudeUnitEntries
};

static RsRangeTableEntry hmf2500_rngPowerLeveldBmEntries[] =
{
  {
      /* discreteOrMinValue = */-42.041,
      /* maxValue           = */23.715,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable hmf2500_rngPowerLeveldBm =
{
  /* type        = */RS_VAL_RANGED,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */"dBm",
  /* rangeValues = */hmf2500_rngPowerLeveldBmEntries
};

static RsRangeTableEntry hmf2500_rngOutputLoadEntries[] =
{
  {
      /* discreteOrMinValue = */5000,
      /* maxValue           = */1000000,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable hmf2500_rngOutputLoad =
{
  /* type        = */RS_VAL_RANGED,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */"Ohm",
  /* rangeValues = */hmf2500_rngOutputLoadEntries
};

static RsRangeTableEntry hmf2500_rngPolarityEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"NORM",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"INV",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable hmf2500_rngPolarity =
{
  /* type        = */RS_VAL_DISCRETE,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */hmf2500_rngPolarityEntries
};

static RsRangeTableEntry hmf2500_rngPowerLevelOffsetEntries[] =
{
  {
      /* discreteOrMinValue = */-5,
      /* maxValue           = */5,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable hmf2500_rngPowerLevelOffset =
{
  /* type        = */RS_VAL_RANGED,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */"V",
  /* rangeValues = */hmf2500_rngPowerLevelOffsetEntries
};

static RsRangeTableEntry hmf2500_rngPeriodEntries[] =
{
  {
      /* discreteOrMinValue = */2,
      /* maxValue           = */10000,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable hmf2500_rngPeriod =
{
  /* type        = */RS_VAL_RANGED,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */"s",
  /* rangeValues = */hmf2500_rngPeriodEntries
};

static RsRangeTableEntry hmf2500_rngSystemReferenceEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"IMM",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"EXT",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable hmf2500_rngSystemReference =
{
  /* type        = */RS_VAL_DISCRETE,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */hmf2500_rngSystemReferenceEntries
};

static RsRangeTableEntry hmf2500_rngStorePositionEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */4,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable hmf2500_rngStorePosition =
{
  /* type        = */RS_VAL_RANGED,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */hmf2500_rngStorePositionEntries
};

static RsRangeTableEntry hmf2500_rngModulationFunctionEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"SIN",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"SQU",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */2,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"PRAM",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */3,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"NRAM",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */4,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"TRI",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */5,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"WNOI",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */6,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"PNOI",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */7,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"CARD",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */8,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"EXPR",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */9,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"EXPF",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */10,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"RAM",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable hmf2500_rngModulationFunction =
{
  /* type        = */RS_VAL_DISCRETE,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */hmf2500_rngModulationFunctionEntries
};

static RsRangeTableEntry hmf2500_rngLinLogEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"LIN",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"LOG",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable hmf2500_rngLinLog =
{
  /* type        = */RS_VAL_DISCRETE,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */hmf2500_rngLinLogEntries
};

static RsRangeTableEntry hmf2500_rngSweepTimeEntries[] =
{
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */500,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable hmf2500_rngSweepTime =
{
  /* type        = */RS_VAL_RANGED,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */"s",
  /* rangeValues = */hmf2500_rngSweepTimeEntries
};

static RsRangeTableEntry hmf2500_rngBurstModeEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"TRIG",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"GAT",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable hmf2500_rngBurstMode =
{
  /* type        = */RS_VAL_DISCRETE,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */hmf2500_rngBurstModeEntries
};

static RsRangeTableEntry hmf2500_rngCyclesEntries[] =
{
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */50000,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable hmf2500_rngCycles =
{
  /* type        = */RS_VAL_RANGED,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */hmf2500_rngCyclesEntries
};

static RsRangeTableEntry hmf2500_rngBurstPeriodEntries[] =
{
  {
      /* discreteOrMinValue = */100,
      /* maxValue           = */50000,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable hmf2500_rngBurstPeriod =
{
  /* type        = */RS_VAL_RANGED,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */"s",
  /* rangeValues = */hmf2500_rngBurstPeriodEntries
};

static RsRangeTableEntry hmf2500_rngArbMediumEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"RAM",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"ROM",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable hmf2500_rngArbMedium =
{
  /* type        = */RS_VAL_DISCRETE,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */hmf2500_rngArbMediumEntries
};

static RsRangeTableEntry hmf2500_rngArbEntries[] =
{
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"ARB1",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */2,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"ARB2",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */3,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"ARB3",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */4,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"ARB4",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable hmf2500_rngArb =
{
  /* type        = */RS_VAL_DISCRETE,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */hmf2500_rngArbEntries
};

static RsRangeTableEntry hmf2500_rngArbFunctionEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"SIN",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"SQU",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */2,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"PRAM",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */3,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"NRAM",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */4,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"TRI",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */5,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"WNO",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */6,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"PNO",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */7,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"CARD",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */8,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"EXPR",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */9,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"EXPF",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */10,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"RAM",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable hmf2500_rngArbFunction =
{
  /* type        = */RS_VAL_DISCRETE,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */hmf2500_rngArbFunctionEntries
};

static RsRangeTableEntry hmf2500_rngTablepulsewidthEntries[] =
{
  {
      /* discreteOrMinValue = */0.000000001,
      /* maxValue           = */1000,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable hmf2500_rngTablepulsewidth =
{
  /* type        = */RS_VAL_RANGED,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */hmf2500_rngTablepulsewidthEntries
};

static RsRangeTableEntry hmf2500_rngSquareWidthEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */100,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable hmf2500_rngSquareWidth =
{
  /* type        = */RS_VAL_RANGED,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */"%",
  /* rangeValues = */hmf2500_rngSquareWidthEntries
};

static RsRangeTableEntry hmf2500_rngTableNewEntries[] =
{
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable hmf2500_rngTableNew =
{
  /* type        = */RS_VAL_RANGED,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */hmf2500_rngTableNewEntries
};

static RsRangeTableEntry hmf2500_rngEdgeTimeEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */200.00,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable hmf2500_rngEdgeTime =
{
  /* type        = */RS_VAL_RANGED,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */"ns",
  /* rangeValues = */hmf2500_rngEdgeTimeEntries
};

static RsRangeTableEntry hmf2500_rngTriggerSlopeEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"POS",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"NEG",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable hmf2500_rngTriggerSlope =
{
  /* type        = */RS_VAL_DISCRETE,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */hmf2500_rngTriggerSlopeEntries
};

static RsRangeTableEntry hmf2500_rngSweepMarkerStyleEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"NORM",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"CURS",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */2,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"PULS",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable hmf2500_rngSweepMarkerStyle =
{
  /* type        = */RS_VAL_DISCRETE,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */hmf2500_rngSweepMarkerStyleEntries
};

static RsRangeTableEntry hmf2500_rngTraceIntensityEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */100,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable hmf2500_rngTraceIntensity =
{
  /* type        = */RS_VAL_RANGED,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */"%",
  /* rangeValues = */hmf2500_rngTraceIntensityEntries
};

static RsRangeTableEntry hmf2500_rngDisplayGridEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */100,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable hmf2500_rngDisplayGrid =
{
  /* type        = */RS_VAL_RANGED,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */"%",
  /* rangeValues = */hmf2500_rngDisplayGridEntries
};

static RsRangeTableEntry hmf2500_rngLEDBrigthnessEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"LOW",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"HIGH",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable hmf2500_rngLEDBrigthness =
{
  /* type        = */RS_VAL_DISCRETE,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */hmf2500_rngLEDBrigthnessEntries
};

static RsRangeTableEntry hmf2500_rngHardcopyFormatEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"BMP",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"GIF",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */2,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"PNG",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable hmf2500_rngHardcopyFormat =
{
  /* type        = */RS_VAL_DISCRETE,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */hmf2500_rngHardcopyFormatEntries
};

static RsRangeTableEntry hmf2500_rngTriggerSlopeOutputEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"POS",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"NEG",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable hmf2500_rngTriggerSlopeOutput =
{
  /* type        = */RS_VAL_DISCRETE,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */hmf2500_rngTriggerSlopeOutputEntries
};

static RsRangeTableEntry hmf2500_rngBacklightEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */100,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable hmf2500_rngBacklight =
{
  /* type        = */RS_VAL_RANGED,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */"%",
  /* rangeValues = */hmf2500_rngBacklightEntries
};


/*****************************************************************************
*- Attributes --------------------------------------------------------------*
 *****************************************************************************/

RsAttrProperties  g_HMF2500_RS_ATTR_RANGE_CHECK =
{
  /* constant           = */RS_ATTR_RANGE_CHECK,
#if defined (_DEBUG)
  /* debug name         = */"Range Check",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */VI_TRUE,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsAttrProperties  g_HMF2500_RS_ATTR_QUERY_INSTRUMENT_STATUS =
{
  /* constant           = */RS_ATTR_QUERY_INSTRUMENT_STATUS,
#if defined (_DEBUG)
  /* debug name         = */"Query Instrument Status",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_TRUE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsAttrProperties  g_HMF2500_RS_ATTR_CACHE =
{
  /* constant           = */RS_ATTR_CACHE,
#if defined (_DEBUG)
  /* debug name         = */"Cache",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_TRUE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsAttrProperties  g_HMF2500_RS_ATTR_SIMULATE =
{
  /* constant           = */RS_ATTR_SIMULATE,
#if defined (_DEBUG)
  /* debug name         = */"Simulate",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsAttrProperties  g_HMF2500_RS_ATTR_RECORD_COERCIONS =
{
  /* constant           = */RS_ATTR_RECORD_COERCIONS,
#if defined (_DEBUG)
  /* debug name         = */"Record Value Coercions",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */RS_VAL_NOT_SUPPORTED,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsAttrProperties  g_HMF2500_RS_ATTR_INTERCHANGE_CHECK =
{
  /* constant           = */RS_ATTR_INTERCHANGE_CHECK,
#if defined (_DEBUG)
  /* debug name         = */"Interchangeability Check",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_TRUE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */RS_VAL_NOT_SUPPORTED,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsAttrProperties  g_HMF2500_RS_ATTR_SPY =
{
  /* constant           = */RS_ATTR_SPY,
#if defined (_DEBUG)
  /* debug name         = */"Spy",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */RS_VAL_NOT_SUPPORTED,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsAttrProperties  g_HMF2500_RS_ATTR_USE_SPECIFIC_SIMULATION =
{
  /* constant           = */RS_ATTR_USE_SPECIFIC_SIMULATION,
#if defined (_DEBUG)
  /* debug name         = */"Use Specific Simulation",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_TRUE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */RS_VAL_NOT_SUPPORTED | RS_VAL_DONT_CHECK_STATUS,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsAttrProperties  g_HMF2500_RS_ATTR_CLASS_DRIVER_DESCRIPTION =
{
  /* constant           = */RS_ATTR_CLASS_DRIVER_DESCRIPTION,
#if defined (_DEBUG)
  /* debug name         = */"Class Driver Description",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */RS_VAL_NOT_WRITABLE,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsAttrProperties  g_HMF2500_RS_ATTR_CLASS_DRIVER_PREFIX =
{
  /* constant           = */RS_ATTR_CLASS_DRIVER_PREFIX,
#if defined (_DEBUG)
  /* debug name         = */"Class Driver Prefix",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */RS_VAL_NOT_WRITABLE,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsAttrProperties  g_HMF2500_RS_ATTR_CLASS_DRIVER_VENDOR =
{
  /* constant           = */RS_ATTR_CLASS_DRIVER_VENDOR,
#if defined (_DEBUG)
  /* debug name         = */"Class Driver Vendor",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */RS_VAL_NOT_WRITABLE,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsAttrProperties  g_HMF2500_RS_ATTR_CLASS_DRIVER_REVISION =
{
  /* constant           = */RS_ATTR_CLASS_DRIVER_REVISION,
#if defined (_DEBUG)
  /* debug name         = */"Class Driver Revision",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */RS_VAL_NOT_WRITABLE,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsAttrProperties  g_HMF2500_RS_ATTR_CLASS_DRIVER_CLASS_SPEC_MAJOR_VERSION =
{
  /* constant           = */RS_ATTR_CLASS_DRIVER_CLASS_SPEC_MAJOR_VERSION,
#if defined (_DEBUG)
  /* debug name         = */"Class Driver Major Version",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */RS_VAL_NOT_WRITABLE,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsAttrProperties  g_HMF2500_RS_ATTR_CLASS_DRIVER_CLASS_SPEC_MINOR_VERSION =
{
  /* constant           = */RS_ATTR_CLASS_DRIVER_CLASS_SPEC_MINOR_VERSION,
#if defined (_DEBUG)
  /* debug name         = */"Class Driver Minor Version",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */RS_VAL_NOT_WRITABLE,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsAttrProperties  g_HMF2500_RS_ATTR_SPECIFIC_DRIVER_DESCRIPTION =
{
  /* constant           = */RS_ATTR_SPECIFIC_DRIVER_DESCRIPTION,
#if defined (_DEBUG)
  /* debug name         = */"Driver Description",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */RS_VAL_NOT_WRITABLE,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsAttrProperties  g_HMF2500_RS_ATTR_SPECIFIC_DRIVER_PREFIX =
{
  /* constant           = */RS_ATTR_SPECIFIC_DRIVER_PREFIX,
#if defined (_DEBUG)
  /* debug name         = */"Driver Prefix",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */RS_VAL_NOT_WRITABLE,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsAttrProperties  g_HMF2500_RS_ATTR_SPECIFIC_DRIVER_LOCATOR =
{
  /* constant           = */RS_ATTR_SPECIFIC_DRIVER_LOCATOR,
#if defined (_DEBUG)
  /* debug name         = */"Driver Locator",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */RS_VAL_NOT_WRITABLE,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsAttrProperties  g_HMF2500_RS_ATTR_SPECIFIC_DRIVER_VENDOR =
{
  /* constant           = */RS_ATTR_SPECIFIC_DRIVER_VENDOR,
#if defined (_DEBUG)
  /* debug name         = */"Driver Vendor",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */RS_VAL_NOT_WRITABLE,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsAttrProperties  g_HMF2500_RS_ATTR_SPECIFIC_DRIVER_REVISION =
{
  /* constant           = */RS_ATTR_SPECIFIC_DRIVER_REVISION,
#if defined (_DEBUG)
  /* debug name         = */"Driver Revision",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */RS_VAL_NOT_WRITABLE,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsAttrProperties  g_HMF2500_RS_ATTR_SPECIFIC_DRIVER_CLASS_SPEC_MAJOR_VERSION =
{
  /* constant           = */RS_ATTR_SPECIFIC_DRIVER_CLASS_SPEC_MAJOR_VERSION,
#if defined (_DEBUG)
  /* debug name         = */"Class Specification Major Version",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */RS_VAL_NOT_WRITABLE,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsAttrProperties  g_HMF2500_RS_ATTR_SPECIFIC_DRIVER_CLASS_SPEC_MINOR_VERSION =
{
  /* constant           = */RS_ATTR_SPECIFIC_DRIVER_CLASS_SPEC_MINOR_VERSION,
#if defined (_DEBUG)
  /* debug name         = */"Class Specification Minor Version",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */RS_VAL_NOT_WRITABLE,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsAttrProperties  g_HMF2500_RS_ATTR_SUPPORTED_INSTRUMENT_MODELS =
{
  /* constant           = */RS_ATTR_SUPPORTED_INSTRUMENT_MODELS,
#if defined (_DEBUG)
  /* debug name         = */"Supported Instrument Models",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */RS_VAL_NOT_WRITABLE,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsAttrProperties  g_HMF2500_RS_ATTR_GROUP_CAPABILITIES =
{
  /* constant           = */RS_ATTR_GROUP_CAPABILITIES,
#if defined (_DEBUG)
  /* debug name         = */"Class Group Capabilities",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */RS_VAL_NOT_WRITABLE,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsAttrProperties  g_HMF2500_RS_ATTR_FUNCTION_CAPABILITIES =
{
  /* constant           = */RS_ATTR_FUNCTION_CAPABILITIES,
#if defined (_DEBUG)
  /* debug name         = */"Function Capabilities",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */RS_VAL_NOT_WRITABLE,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsAttrProperties  g_HMF2500_RS_ATTR_CHANNEL_COUNT =
{
  /* constant           = */RS_ATTR_CHANNEL_COUNT,
#if defined (_DEBUG)
  /* debug name         = */"Channel Count",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */RS_VAL_NOT_WRITABLE,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsAttrProperties  g_HMF2500_RS_ATTR_DRIVER_SETUP =
{
  /* constant           = */RS_ATTR_DRIVER_SETUP,
#if defined (_DEBUG)
  /* debug name         = */"Driver Setup",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */RS_VAL_NOT_WRITABLE,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsAttrProperties  g_HMF2500_RS_ATTR_INSTRUMENT_MANUFACTURER =
{
  /* constant           = */RS_ATTR_INSTRUMENT_MANUFACTURER,
#if defined (_DEBUG)
  /* debug name         = */"Instrument Manufacturer",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */"HAMEG",
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */RS_VAL_NOT_WRITABLE,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsAttrProperties  g_HMF2500_RS_ATTR_INSTRUMENT_MODEL =
{
  /* constant           = */RS_ATTR_INSTRUMENT_MODEL,
#if defined (_DEBUG)
  /* debug name         = */"Instrument Model",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */RS_VAL_NOT_WRITABLE,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsAttrProperties  g_HMF2500_RS_ATTR_INSTRUMENT_FIRMWARE_REVISION =
{
  /* constant           = */RS_ATTR_INSTRUMENT_FIRMWARE_REVISION,
#if defined (_DEBUG)
  /* debug name         = */"Instrument Firmware Revision",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */RS_VAL_NOT_WRITABLE,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsAttrProperties  g_HMF2500_RS_ATTR_OPTIONS_LIST =
{
  /* constant           = */RS_ATTR_OPTIONS_LIST,
#if defined (_DEBUG)
  /* debug name         = */"Options List",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */RS_VAL_NOT_WRITABLE,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsAttrProperties  g_HMF2500_RS_ATTR_IO_RESOURCE_DESCRIPTOR =
{
  /* constant           = */RS_ATTR_IO_RESOURCE_DESCRIPTOR,
#if defined (_DEBUG)
  /* debug name         = */"Resource Descriptor",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */RS_VAL_NOT_WRITABLE,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsAttrProperties  g_HMF2500_RS_ATTR_LOGICAL_NAME =
{
  /* constant           = */RS_ATTR_LOGICAL_NAME,
#if defined (_DEBUG)
  /* debug name         = */"Logical Name",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */RS_VAL_NOT_SUPPORTED,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsAttrProperties  g_HMF2500_RS_ATTR_PRIMARY_ERROR =
{
  /* constant           = */RS_ATTR_PRIMARY_ERROR,
#if defined (_DEBUG)
  /* debug name         = */"Primary Error",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsAttrProperties  g_HMF2500_RS_ATTR_SECONDARY_ERROR =
{
  /* constant           = */RS_ATTR_SECONDARY_ERROR,
#if defined (_DEBUG)
  /* debug name         = */"Secondary Error",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsAttrProperties  g_HMF2500_RS_ATTR_ERROR_ELABORATION =
{
  /* constant           = */RS_ATTR_ERROR_ELABORATION,
#if defined (_DEBUG)
  /* debug name         = */"Error Elaboration",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */RS_VAL_HIDDEN | RS_VAL_NEVER_CACHE,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsAttrProperties  g_HMF2500_RS_ATTR_VISA_RM_SESSION =
{
  /* constant           = */RS_ATTR_VISA_RM_SESSION,
#if defined (_DEBUG)
  /* debug name         = */"VISA Resource Manager Session",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_SESSION,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */RS_VAL_HIDDEN | RS_VAL_NEVER_CACHE,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsAttrProperties  g_HMF2500_RS_ATTR_IO_SESSION =
{
  /* constant           = */RS_ATTR_IO_SESSION,
#if defined (_DEBUG)
  /* debug name         = */"Instrument IO Session",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_SESSION,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */RS_VAL_NOT_WRITABLE,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsAttrProperties  g_HMF2500_RS_ATTR_IO_SESSION_TYPE =
{
  /* constant           = */RS_ATTR_IO_SESSION_TYPE,
#if defined (_DEBUG)
  /* debug name         = */"IO Session Type",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */"0",
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */RS_VAL_NOT_SUPPORTED | RS_VAL_NOT_WRITABLE,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsAttrProperties  g_HMF2500_RS_ATTR_SPECIFIC_DRIVER_MAJOR_VERSION =
{
  /* constant           = */RS_ATTR_SPECIFIC_DRIVER_MAJOR_VERSION,
#if defined (_DEBUG)
  /* debug name         = */"Driver Major Version",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */RS_VAL_NOT_WRITABLE,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsAttrProperties  g_HMF2500_RS_ATTR_SPECIFIC_DRIVER_MINOR_VERSION =
{
  /* constant           = */RS_ATTR_SPECIFIC_DRIVER_MINOR_VERSION,
#if defined (_DEBUG)
  /* debug name         = */"Driver Minor Version",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */RS_VAL_NOT_WRITABLE,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsAttrProperties  g_HMF2500_RS_ATTR_SPECIFIC_DRIVER_MINOR_MINOR_VERSION =
{
  /* constant           = */RS_ATTR_SPECIFIC_DRIVER_MINOR_MINOR_VERSION,
#if defined (_DEBUG)
  /* debug name         = */"Driver Minor Minor Version",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */RS_VAL_NOT_WRITABLE,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsAttrProperties  g_HMF2500_RS_ATTR_CLASS_DRIVER_MAJOR_VERSION =
{
  /* constant           = */RS_ATTR_CLASS_DRIVER_MAJOR_VERSION,
#if defined (_DEBUG)
  /* debug name         = */"Class Major Version",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */RS_VAL_NOT_WRITABLE,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsAttrProperties  g_HMF2500_RS_ATTR_CLASS_DRIVER_MINOR_VERSION =
{
  /* constant           = */RS_ATTR_CLASS_DRIVER_MINOR_VERSION,
#if defined (_DEBUG)
  /* debug name         = */"Class Minor Version",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */RS_VAL_NOT_WRITABLE,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsAttrProperties  g_HMF2500_RS_ATTR_ENGINE_MAJOR_VERSION =
{
  /* constant           = */RS_ATTR_ENGINE_MAJOR_VERSION,
#if defined (_DEBUG)
  /* debug name         = */"Engine Major Version",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */RS_VAL_NOT_WRITABLE,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsAttrProperties  g_HMF2500_RS_ATTR_ENGINE_MINOR_VERSION =
{
  /* constant           = */RS_ATTR_ENGINE_MINOR_VERSION,
#if defined (_DEBUG)
  /* debug name         = */"Engine Minor Version",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */RS_VAL_NOT_WRITABLE,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsAttrProperties  g_HMF2500_RS_ATTR_ENGINE_REVISION =
{
  /* constant           = */RS_ATTR_ENGINE_REVISION,
#if defined (_DEBUG)
  /* debug name         = */"Engine Revision",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */"0",
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */RS_VAL_NOT_WRITABLE,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsAttrProperties  g_HMF2500_RS_ATTR_OPC_CALLBACK =
{
  /* constant           = */RS_ATTR_OPC_CALLBACK,
#if defined (_DEBUG)
  /* debug name         = */"Operation Complete (OPC) Callback",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_ADDR,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */RS_VAL_HIDDEN | RS_VAL_NEVER_CACHE,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsAttrProperties  g_HMF2500_RS_ATTR_CHECK_STATUS_CALLBACK =
{
  /* constant           = */RS_ATTR_CHECK_STATUS_CALLBACK,
#if defined (_DEBUG)
  /* debug name         = */"Check Status Callback",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_ADDR,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */RS_VAL_HIDDEN | RS_VAL_NEVER_CACHE,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsAttrProperties  g_HMF2500_RS_ATTR_OPC_TIMEOUT =
{
  /* constant           = */RS_ATTR_OPC_TIMEOUT,
#if defined (_DEBUG)
  /* debug name         = */"Operation Complete (OPC) Timeout",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */RS_VAL_HIDDEN | RS_VAL_NEVER_CACHE,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsAttrProperties  g_HMF2500_ATTR_FREQUENCY =
{
  /* constant           = */HMF2500_ATTR_FREQUENCY,
#if defined (_DEBUG)
  /* debug name         = */"Frequency",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */&hmf2500_rngFrequency,
  /* command            = */"FREQ",
  /* integerDefault     = */0,
  /* doubleDefault      = */1.0E+6,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsAttrProperties  g_HMF2500_ATTR_PERIOD =
{
  /* constant           = */HMF2500_ATTR_PERIOD,
#if defined (_DEBUG)
  /* debug name         = */"Period",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */&hmf2500_rngPeriod,
  /* command            = */"PER",
  /* integerDefault     = */0,
  /* doubleDefault      = */20.0E-6,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsAttrProperties  g_HMF2500_ATTR_POWER_LEVEL =
{
  /* constant           = */HMF2500_ATTR_POWER_LEVEL,
#if defined (_DEBUG)
  /* debug name         = */"Power Level",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */&hmf2500_rngPowerLevel,
  /* command            = */"VOLT",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.2,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsAttrProperties  g_HMF2500_ATTR_POWER_LEVEL_WITH_OFFSET =
{
  /* constant           = */HMF2500_ATTR_POWER_LEVEL_WITH_OFFSET,
#if defined (_DEBUG)
  /* debug name         = */"Power Level With Offset",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */&hmf2500_rngPowerLevelOffset,
  /* command            = */"VOLT:{HighLow}",
  /* integerDefault     = */0,
  /* doubleDefault      = */5.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_HMF2500_ATTR_POWER_LEVEL_OFFSET_ENABLED =
{
  /* constant           = */HMF2500_ATTR_POWER_LEVEL_OFFSET_ENABLED,
#if defined (_DEBUG)
  /* debug name         = */"Power Level Offset Enabled",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"OUTP:OFFS",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsAttrProperties  g_HMF2500_ATTR_POWER_LEVEL_OFFSET =
{
  /* constant           = */HMF2500_ATTR_POWER_LEVEL_OFFSET,
#if defined (_DEBUG)
  /* debug name         = */"Power Level Offset",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */&hmf2500_rngPowerLevelOffset,
  /* command            = */"VOLT:OFFS",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsAttrProperties  g_HMF2500_ATTR_OUTPUT_ENABLED =
{
  /* constant           = */HMF2500_ATTR_OUTPUT_ENABLED,
#if defined (_DEBUG)
  /* debug name         = */"Output Enabled",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"OUTP",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_TRUE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsAttrProperties  g_HMF2500_ATTR_OUTPUT_FUNCTION =
{
  /* constant           = */HMF2500_ATTR_OUTPUT_FUNCTION,
#if defined (_DEBUG)
  /* debug name         = */"Output Function",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&hmf2500_rngOutputFunction,
  /* command            = */"FUNC",
  /* integerDefault     = */HMF2500_VAL_FUNC_SINE,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsAttrProperties  g_HMF2500_ATTR_AMPLITUDE_UNIT =
{
  /* constant           = */HMF2500_ATTR_AMPLITUDE_UNIT,
#if defined (_DEBUG)
  /* debug name         = */"Amplitude Unit",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&hmf2500_rngAmplitudeUnit,
  /* command            = */"VOLT:UNIT",
  /* integerDefault     = */HMF2500_VAL_UNIT_V,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsAttrProperties  g_HMF2500_ATTR_OUTPUT_LOAD =
{
  /* constant           = */HMF2500_ATTR_OUTPUT_LOAD,
#if defined (_DEBUG)
  /* debug name         = */"Output Load",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&hmf2500_rngOutputLoad,
  /* command            = */"OUTP:LOAD",
  /* integerDefault     = */50,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsAttrProperties  g_HMF2500_ATTR_OUTPUT_POLARITY =
{
  /* constant           = */HMF2500_ATTR_OUTPUT_POLARITY,
#if defined (_DEBUG)
  /* debug name         = */"Output Polarity",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&hmf2500_rngPolarity,
  /* command            = */"OUTP:POL",
  /* integerDefault     = */HMF2500_VAL_NORMAL,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsAttrProperties  g_HMF2500_ATTR_SQUARE_DUTY_CYCLE =
{
  /* constant           = */HMF2500_ATTR_SQUARE_DUTY_CYCLE,
#if defined (_DEBUG)
  /* debug name         = */"Square Duty Cycle",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */&hmf2500_rngPercent,
  /* command            = */"FUNC:SQU:DCYC",
  /* integerDefault     = */0,
  /* doubleDefault      = */50.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsAttrProperties  g_HMF2500_ATTR_SQUARE_WIDTH =
{
  /* constant           = */HMF2500_ATTR_SQUARE_WIDTH,
#if defined (_DEBUG)
  /* debug name         = */"Square Width",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */&hmf2500_rngSquareWidth,
  /* command            = */"FUNC:SQU:WIDT:{HighLow}",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_HMF2500_ATTR_RAMP_SYMMETRY =
{
  /* constant           = */HMF2500_ATTR_RAMP_SYMMETRY,
#if defined (_DEBUG)
  /* debug name         = */"Ramp Symmetry",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */&hmf2500_rngPercent,
  /* command            = */"FUNC:RAMP:SYMM",
  /* integerDefault     = */0,
  /* doubleDefault      = */50.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsAttrProperties  g_HMF2500_ATTR_RAMP_EDGE_TIME =
{
  /* constant           = */HMF2500_ATTR_RAMP_EDGE_TIME,
#if defined (_DEBUG)
  /* debug name         = */"Ramp Edge Time",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */&hmf2500_rngEdgeTime,
  /* command            = */"FUNC:RAMP:TIME:{Edge}",
  /* integerDefault     = */0,
  /* doubleDefault      = */50.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_HMF2500_ATTR_PULSE_DUTY_CYCLE =
{
  /* constant           = */HMF2500_ATTR_PULSE_DUTY_CYCLE,
#if defined (_DEBUG)
  /* debug name         = */"Pulse Duty Cycle",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */&hmf2500_rngPercent,
  /* command            = */"FUNC:PULS:DCYC",
  /* integerDefault     = */0,
  /* doubleDefault      = */50.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsAttrProperties  g_HMF2500_ATTR_PULSE_WIDTH =
{
  /* constant           = */HMF2500_ATTR_PULSE_WIDTH,
#if defined (_DEBUG)
  /* debug name         = */"Pulse Width",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */&hmf2500_rngTablepulsewidth,
  /* command            = */"FUNC:PULS:WIDT:{HighLow}",
  /* integerDefault     = */0,
  /* doubleDefault      = */5.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_HMF2500_ATTR_PULSE_EDGE_TIME =
{
  /* constant           = */HMF2500_ATTR_PULSE_EDGE_TIME,
#if defined (_DEBUG)
  /* debug name         = */"Pulse Edge Time",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */NULL,
  /* command            = */"FUNC:PULS:ETIM",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsAttrProperties  g_HMF2500_ATTR_TRIGGER_ENABLED =
{
  /* constant           = */HMF2500_ATTR_TRIGGER_ENABLED,
#if defined (_DEBUG)
  /* debug name         = */"Trigger Enabled",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"OUTP:TRIG",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsAttrProperties  g_HMF2500_ATTR_TRIGGER_SOURCE =
{
  /* constant           = */HMF2500_ATTR_TRIGGER_SOURCE,
#if defined (_DEBUG)
  /* debug name         = */"Trigger Source",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&hmf2500_rngSystemReference,
  /* command            = */"TRIGger:SOURce",
  /* integerDefault     = */HMF2500_VAL_REF_IMM,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsAttrProperties  g_HMF2500_ATTR_TRIGGER_SLOPE =
{
  /* constant           = */HMF2500_ATTR_TRIGGER_SLOPE,
#if defined (_DEBUG)
  /* debug name         = */"Trigger Slope",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&hmf2500_rngTriggerSlope,
  /* command            = */"TRIG:SLOP",
  /* integerDefault     = */HMF2500_VAL_TRIGGER_POS,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsAttrProperties  g_HMF2500_ATTR_OUTPUT_TRIGGER_SLOPE =
{
  /* constant           = */HMF2500_ATTR_OUTPUT_TRIGGER_SLOPE,
#if defined (_DEBUG)
  /* debug name         = */"Output Trigger Slope",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&hmf2500_rngTriggerSlopeOutput,
  /* command            = */"OUTP:TRIG:SLOP",
  /* integerDefault     = */HMF2500_VAL_TRIGGER_OUTPUT_POS,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsAttrProperties  g_HMF2500_ATTR_MODULATION_SHAPE =
{
  /* constant           = */HMF2500_ATTR_MODULATION_SHAPE,
#if defined (_DEBUG)
  /* debug name         = */"Modulation Shape",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&hmf2500_rngModulationFunction,
  /* command            = */"{ModM}:INT:FUNC",
  /* integerDefault     = */HMF2500_VAL_FUNC_SINE,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_HMF2500_ATTR_AM_ENABLED =
{
  /* constant           = */HMF2500_ATTR_AM_ENABLED,
#if defined (_DEBUG)
  /* debug name         = */"AM Enabled",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"AM:STAT",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsAttrProperties  g_HMF2500_ATTR_AM_SOURCE =
{
  /* constant           = */HMF2500_ATTR_AM_SOURCE,
#if defined (_DEBUG)
  /* debug name         = */"AM Source",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&hmf2500_rngIntExt,
  /* command            = */"AM:SOUR",
  /* integerDefault     = */HMF2500_VAL_INT,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsAttrProperties  g_HMF2500_ATTR_AM_DEPTH =
{
  /* constant           = */HMF2500_ATTR_AM_DEPTH,
#if defined (_DEBUG)
  /* debug name         = */"AM Depth",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */&hmf2500_rngPercent,
  /* command            = */"AM:DEPT",
  /* integerDefault     = */0,
  /* doubleDefault      = */100.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsAttrProperties  g_HMF2500_ATTR_FM_ENABLED =
{
  /* constant           = */HMF2500_ATTR_FM_ENABLED,
#if defined (_DEBUG)
  /* debug name         = */"FM Enabled",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"FM:STAT",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsAttrProperties  g_HMF2500_ATTR_FM_SOURCE =
{
  /* constant           = */HMF2500_ATTR_FM_SOURCE,
#if defined (_DEBUG)
  /* debug name         = */"FM Source",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&hmf2500_rngIntExt,
  /* command            = */"FM:SOUR",
  /* integerDefault     = */HMF2500_VAL_INT,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsAttrProperties  g_HMF2500_ATTR_FM_DEVIATION =
{
  /* constant           = */HMF2500_ATTR_FM_DEVIATION,
#if defined (_DEBUG)
  /* debug name         = */"FM Deviation",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */&hmf2500_rngFMDeviation,
  /* command            = */"FM:DEV",
  /* integerDefault     = */0,
  /* doubleDefault      = */100.0E+3,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsAttrProperties  g_HMF2500_ATTR_PM_ENABLED =
{
  /* constant           = */HMF2500_ATTR_PM_ENABLED,
#if defined (_DEBUG)
  /* debug name         = */"PM Enabled",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"PM:STAT",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_TRUE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsAttrProperties  g_HMF2500_ATTR_PM_SOURCE =
{
  /* constant           = */HMF2500_ATTR_PM_SOURCE,
#if defined (_DEBUG)
  /* debug name         = */"PM Source",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&hmf2500_rngIntExt,
  /* command            = */"PM:SOUR",
  /* integerDefault     = */HMF2500_VAL_INT,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsAttrProperties  g_HMF2500_ATTR_PM_DEVIATION =
{
  /* constant           = */HMF2500_ATTR_PM_DEVIATION,
#if defined (_DEBUG)
  /* debug name         = */"PM Deviation",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */&hmf2500_rngPMDeviation,
  /* command            = */"PM:DEV",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsAttrProperties  g_HMF2500_ATTR_PULSE_ENABLED =
{
  /* constant           = */HMF2500_ATTR_PULSE_ENABLED,
#if defined (_DEBUG)
  /* debug name         = */"Pulse Enabled",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"PWM:STAT",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsAttrProperties  g_HMF2500_ATTR_PULSE_SOURCE =
{
  /* constant           = */HMF2500_ATTR_PULSE_SOURCE,
#if defined (_DEBUG)
  /* debug name         = */"Pulse Source",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&hmf2500_rngIntExt,
  /* command            = */"PWM:SOUR",
  /* integerDefault     = */HMF2500_VAL_INT,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsAttrProperties  g_HMF2500_ATTR_PULSE_MODULATION_DUTY_CYCLE =
{
  /* constant           = */HMF2500_ATTR_PULSE_MODULATION_DUTY_CYCLE,
#if defined (_DEBUG)
  /* debug name         = */"Pulse Modulation Duty Cycle",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */&hmf2500_rngPercent,
  /* command            = */"PWM:DCYC",
  /* integerDefault     = */0,
  /* doubleDefault      = */50.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsAttrProperties  g_HMF2500_ATTR_PULSE_INTERNAL_FREQUENCY =
{
  /* constant           = */HMF2500_ATTR_PULSE_INTERNAL_FREQUENCY,
#if defined (_DEBUG)
  /* debug name         = */"Pulse Internal Frequency",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */&hmf2500_rngFrequency,
  /* command            = */"PWM:INT:FREQ",
  /* integerDefault     = */0,
  /* doubleDefault      = */5.0E+3,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsAttrProperties  g_HMF2500_ATTR_FSK_ENABLED =
{
  /* constant           = */HMF2500_ATTR_FSK_ENABLED,
#if defined (_DEBUG)
  /* debug name         = */"FSK Enabled",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"FSK:STAT",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsAttrProperties  g_HMF2500_ATTR_FSK_SOURCE =
{
  /* constant           = */HMF2500_ATTR_FSK_SOURCE,
#if defined (_DEBUG)
  /* debug name         = */"FSK Source",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&hmf2500_rngIntExt,
  /* command            = */"FSK:SOUR",
  /* integerDefault     = */HMF2500_VAL_INT,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsAttrProperties  g_HMF2500_ATTR_FSK_DUTY_CYCLE =
{
  /* constant           = */HMF2500_ATTR_FSK_DUTY_CYCLE,
#if defined (_DEBUG)
  /* debug name         = */"FSK Duty Cycle",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */&hmf2500_rngPercent,
  /* command            = */"FSK:DCYC",
  /* integerDefault     = */0,
  /* doubleDefault      = */50.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsAttrProperties  g_HMF2500_ATTR_FSK_FREQUENCY =
{
  /* constant           = */HMF2500_ATTR_FSK_FREQUENCY,
#if defined (_DEBUG)
  /* debug name         = */"FSK Frequency",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */&hmf2500_rngFrequency,
  /* command            = */"FSK:FREQ",
  /* integerDefault     = */0,
  /* doubleDefault      = */5.0E+3,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsAttrProperties  g_HMF2500_ATTR_FSK_HOP =
{
  /* constant           = */HMF2500_ATTR_FSK_HOP,
#if defined (_DEBUG)
  /* debug name         = */"FSK Hop",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */&hmf2500_rngFrequency,
  /* command            = */"FSK:INT",
  /* integerDefault     = */0,
  /* doubleDefault      = */2.0E+3,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsAttrProperties  g_HMF2500_ATTR_SWEEP_ENABLED =
{
  /* constant           = */HMF2500_ATTR_SWEEP_ENABLED,
#if defined (_DEBUG)
  /* debug name         = */"Sweep Enabled",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"SWEep:STAT",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsAttrProperties  g_HMF2500_ATTR_SWEEP_FREQUENCY =
{
  /* constant           = */HMF2500_ATTR_SWEEP_FREQUENCY,
#if defined (_DEBUG)
  /* debug name         = */"Sweep Frequency",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */&hmf2500_rngFrequency,
  /* command            = */"FREQ:{Sweep}",
  /* integerDefault     = */0,
  /* doubleDefault      = */1.0E+6,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_HMF2500_ATTR_SWEEP_SPACING =
{
  /* constant           = */HMF2500_ATTR_SWEEP_SPACING,
#if defined (_DEBUG)
  /* debug name         = */"Sweep Spacing",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&hmf2500_rngLinLog,
  /* command            = */"SWE:SPAC",
  /* integerDefault     = */HMF2500_VAL_LIN,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsAttrProperties  g_HMF2500_ATTR_SWEEP_TIME =
{
  /* constant           = */HMF2500_ATTR_SWEEP_TIME,
#if defined (_DEBUG)
  /* debug name         = */"Sweep Time",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */&hmf2500_rngSweepTime,
  /* command            = */"SWE:TIME",
  /* integerDefault     = */0,
  /* doubleDefault      = */1.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsAttrProperties  g_HMF2500_ATTR_SWEEP_MARKER_ENABLED =
{
  /* constant           = */HMF2500_ATTR_SWEEP_MARKER_ENABLED,
#if defined (_DEBUG)
  /* debug name         = */"Sweep Marker Enabled",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"MARK",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsAttrProperties  g_HMF2500_ATTR_SWEEP_MARKER_FREQUENCY =
{
  /* constant           = */HMF2500_ATTR_SWEEP_MARKER_FREQUENCY,
#if defined (_DEBUG)
  /* debug name         = */"Sweep Marker Frequency",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */&hmf2500_rngFrequency,
  /* command            = */"MARK:FREQ",
  /* integerDefault     = */0,
  /* doubleDefault      = */1.0E+6,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsAttrProperties  g_HMF2500_ATTR_SWEEP_MARKER_STYLE =
{
  /* constant           = */HMF2500_ATTR_SWEEP_MARKER_STYLE,
#if defined (_DEBUG)
  /* debug name         = */"Sweep Marker Style",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&hmf2500_rngSweepMarkerStyle,
  /* command            = */"MARK:STYL",
  /* integerDefault     = */HMF2500_VAL_STYLE_NORMAL,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsAttrProperties  g_HMF2500_ATTR_BURST_ENABLED =
{
  /* constant           = */HMF2500_ATTR_BURST_ENABLED,
#if defined (_DEBUG)
  /* debug name         = */"Burst Enabled",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"BURS:STAT",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsAttrProperties  g_HMF2500_ATTR_BURST_MODE =
{
  /* constant           = */HMF2500_ATTR_BURST_MODE,
#if defined (_DEBUG)
  /* debug name         = */"Burst Mode",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&hmf2500_rngBurstMode,
  /* command            = */"BURS:MODE",
  /* integerDefault     = */HMF2500_VAL_BURST_TRIGGERED,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsAttrProperties  g_HMF2500_ATTR_BURST_N_CYCLES =
{
  /* constant           = */HMF2500_ATTR_BURST_N_CYCLES,
#if defined (_DEBUG)
  /* debug name         = */"Burst N Cycles",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&hmf2500_rngCycles,
  /* command            = */"BURS:NCYC",
  /* integerDefault     = */1,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsAttrProperties  g_HMF2500_ATTR_BURST_INTERNAL_PERIOD =
{
  /* constant           = */HMF2500_ATTR_BURST_INTERNAL_PERIOD,
#if defined (_DEBUG)
  /* debug name         = */"Burst Internal Period",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */&hmf2500_rngBurstPeriod,
  /* command            = */"BURS:INT:PER",
  /* integerDefault     = */0,
  /* doubleDefault      = */100.0E-6,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsAttrProperties  g_HMF2500_ATTR_BURST_PHASE =
{
  /* constant           = */HMF2500_ATTR_BURST_PHASE,
#if defined (_DEBUG)
  /* debug name         = */"Burst Phase",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */&hmf2500_rngPMDeviation,
  /* command            = */"BURS:PHAS",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsAttrProperties  g_HMF2500_ATTR_DISPLAY_TRACE_ENABLE =
{
  /* constant           = */HMF2500_ATTR_DISPLAY_TRACE_ENABLE,
#if defined (_DEBUG)
  /* debug name         = */"Display Trace Enable",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"DISP:TRAC",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsAttrProperties  g_HMF2500_ATTR_DISPLAY_TRACE_INTENSITY =
{
  /* constant           = */HMF2500_ATTR_DISPLAY_TRACE_INTENSITY,
#if defined (_DEBUG)
  /* debug name         = */"Display Trace Intensity",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */&hmf2500_rngTraceIntensity,
  /* command            = */"DISP:TRAC:INT",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsAttrProperties  g_HMF2500_ATTR_DISPLAY_GRID =
{
  /* constant           = */HMF2500_ATTR_DISPLAY_GRID,
#if defined (_DEBUG)
  /* debug name         = */"Display Grid",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */&hmf2500_rngDisplayGrid,
  /* command            = */"DISP:GRID",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsAttrProperties  g_HMF2500_ATTR_DISPLAY_LED_BRIGHTNESS =
{
  /* constant           = */HMF2500_ATTR_DISPLAY_LED_BRIGHTNESS,
#if defined (_DEBUG)
  /* debug name         = */"Display LED Brightness",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&hmf2500_rngLEDBrigthness,
  /* command            = */"LED:BRIG",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsAttrProperties  g_HMF2500_ATTR_DISPLAY_BACKLIGHT =
{
  /* constant           = */HMF2500_ATTR_DISPLAY_BACKLIGHT,
#if defined (_DEBUG)
  /* debug name         = */"Display Backlight",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */&hmf2500_rngBacklight,
  /* command            = */"DISP:BACK",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsAttrProperties  g_HMF2500_ATTR_ARB_FUNCTION =
{
  /* constant           = */HMF2500_ATTR_ARB_FUNCTION,
#if defined (_DEBUG)
  /* debug name         = */"Arb Function",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&hmf2500_rngArbFunction,
  /* command            = */"FUNC:ARB",
  /* integerDefault     = */HMF2500_VAL_FUNC_SINE,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsAttrProperties  g_HMF2500_ATTR_DATA_SAVE =
{
  /* constant           = */HMF2500_ATTR_DATA_SAVE,
#if defined (_DEBUG)
  /* debug name         = */"Data Save",
#endif
  /* access             = */RS_VAL_WRITE_ONLY,
  /* dataType           = */RS_VAL_EVENT,
  /* rangeTable         = */NULL,
  /* command            = */"DATA:SAVE",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsAttrProperties  g_HMF2500_ATTR_HARDCOPY_FORMAT =
{
  /* constant           = */HMF2500_ATTR_HARDCOPY_FORMAT,
#if defined (_DEBUG)
  /* debug name         = */"Hardcopy Format",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&hmf2500_rngHardcopyFormat,
  /* command            = */"HCOP:FORM",
  /* integerDefault     = */HMF2500_VAL_FORMAT_BMP,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsAttrProperties  g_HMF2500_ATTR_QUERY_HARDCOPY_SIZE_X =
{
  /* constant           = */HMF2500_ATTR_QUERY_HARDCOPY_SIZE_X,
#if defined (_DEBUG)
  /* debug name         = */"Query Hardcopy Size X",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */NULL,
  /* command            = */"HCOP:SIZE:X?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsAttrProperties  g_HMF2500_ATTR_QUERY_HARDCOPY_SIZE_Y =
{
  /* constant           = */HMF2500_ATTR_QUERY_HARDCOPY_SIZE_Y,
#if defined (_DEBUG)
  /* debug name         = */"Query Hardcopy Size Y",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */NULL,
  /* command            = */"HCOPY:SIZE:Y?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsAttrProperties  g_HMF2500_ATTR_ID_QUERY_RESPONSE =
{
  /* constant           = */HMF2500_ATTR_ID_QUERY_RESPONSE,
#if defined (_DEBUG)
  /* debug name         = */"ID Query Response",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */RS_VAL_NOT_WRITABLE,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsAttrProperties  g_HMF2500_ATTR_SYSTEM_REFERENCE =
{
  /* constant           = */HMF2500_ATTR_SYSTEM_REFERENCE,
#if defined (_DEBUG)
  /* debug name         = */"System Reference",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&hmf2500_rngSystemReference,
  /* command            = */"SYST:REF",
  /* integerDefault     = */HMF2500_VAL_REF_IMM,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsAttrProperties  g_HMF2500_ATTR_SYSTEM_SOUND_ERROR_BEEPER =
{
  /* constant           = */HMF2500_ATTR_SYSTEM_SOUND_ERROR_BEEPER,
#if defined (_DEBUG)
  /* debug name         = */"System Sound Error Beeper ",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"SYST:BEEP:ERR",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsAttrProperties  g_HMF2500_ATTR_SYSTEM_SOUND_CONTROL_BEEPER =
{
  /* constant           = */HMF2500_ATTR_SYSTEM_SOUND_CONTROL_BEEPER,
#if defined (_DEBUG)
  /* debug name         = */"System Sound Control Beeper",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"SYST:BEEP:CONT",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsAttrProperties  g_HMF2500_ATTR_RESET =
{
  /* constant           = */HMF2500_ATTR_RESET,
#if defined (_DEBUG)
  /* debug name         = */"Reset",
#endif
  /* access             = */RS_VAL_WRITE_ONLY,
  /* dataType           = */RS_VAL_EVENT,
  /* rangeTable         = */NULL,
  /* command            = */"*RST",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsAttrProperties  g_HMF2500_ATTR_SYSTEM_ERROR =
{
  /* constant           = */HMF2500_ATTR_SYSTEM_ERROR,
#if defined (_DEBUG)
  /* debug name         = */"System Error",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */"SYST:ERR?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */RS_VAL_DONT_CHECK_STATUS,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsAttrProperties  g_HMF2500_ATTR_SYSTEM_SERIAL_NUMBER =
{
  /* constant           = */HMF2500_ATTR_SYSTEM_SERIAL_NUMBER,
#if defined (_DEBUG)
  /* debug name         = */"System Serial Number",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */"SYST:SNUM?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsAttrProperties  g_HMF2500_ATTR_SYSTEM_SOFTWARE_VERSION =
{
  /* constant           = */HMF2500_ATTR_SYSTEM_SOFTWARE_VERSION,
#if defined (_DEBUG)
  /* debug name         = */"System Software Version",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */"SYST:SOFT?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsAttrProperties  g_HMF2500_ATTR_SYSTEM_HARDWARE_NUMBER =
{
  /* constant           = */HMF2500_ATTR_SYSTEM_HARDWARE_NUMBER,
#if defined (_DEBUG)
  /* debug name         = */"System Hardware Number",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */"SYST:HARD?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsAttrProperties  g_HMF2500_ATTR_INSTRUMENT_NAME =
{
  /* constant           = */HMF2500_ATTR_INSTRUMENT_NAME,
#if defined (_DEBUG)
  /* debug name         = */"Instrument Name",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */"SYST:DEV?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};


/*****************************************************************************
 *- Attributes List ---------------------------------------------------------*
 *****************************************************************************/

RsAttrPropertiesPtr hmf2500_RsAttrPropertiesList[] =
{
&g_HMF2500_RS_ATTR_RANGE_CHECK,
&g_HMF2500_RS_ATTR_QUERY_INSTRUMENT_STATUS,
&g_HMF2500_RS_ATTR_CACHE,
&g_HMF2500_RS_ATTR_SIMULATE,
&g_HMF2500_RS_ATTR_RECORD_COERCIONS,
&g_HMF2500_RS_ATTR_INTERCHANGE_CHECK,
&g_HMF2500_RS_ATTR_SPY,
&g_HMF2500_RS_ATTR_USE_SPECIFIC_SIMULATION,
&g_HMF2500_RS_ATTR_CLASS_DRIVER_DESCRIPTION,
&g_HMF2500_RS_ATTR_CLASS_DRIVER_PREFIX,
&g_HMF2500_RS_ATTR_CLASS_DRIVER_VENDOR,
&g_HMF2500_RS_ATTR_CLASS_DRIVER_REVISION,
&g_HMF2500_RS_ATTR_CLASS_DRIVER_CLASS_SPEC_MAJOR_VERSION,
&g_HMF2500_RS_ATTR_CLASS_DRIVER_CLASS_SPEC_MINOR_VERSION,
&g_HMF2500_RS_ATTR_SPECIFIC_DRIVER_DESCRIPTION,
&g_HMF2500_RS_ATTR_SPECIFIC_DRIVER_PREFIX,
&g_HMF2500_RS_ATTR_SPECIFIC_DRIVER_LOCATOR,
&g_HMF2500_RS_ATTR_SPECIFIC_DRIVER_VENDOR,
&g_HMF2500_RS_ATTR_SPECIFIC_DRIVER_REVISION,
&g_HMF2500_RS_ATTR_SPECIFIC_DRIVER_CLASS_SPEC_MAJOR_VERSION,
&g_HMF2500_RS_ATTR_SPECIFIC_DRIVER_CLASS_SPEC_MINOR_VERSION,
&g_HMF2500_RS_ATTR_SUPPORTED_INSTRUMENT_MODELS,
&g_HMF2500_RS_ATTR_GROUP_CAPABILITIES,
&g_HMF2500_RS_ATTR_FUNCTION_CAPABILITIES,
&g_HMF2500_RS_ATTR_CHANNEL_COUNT,
&g_HMF2500_RS_ATTR_DRIVER_SETUP,
&g_HMF2500_RS_ATTR_INSTRUMENT_MANUFACTURER,
&g_HMF2500_RS_ATTR_INSTRUMENT_MODEL,
&g_HMF2500_RS_ATTR_INSTRUMENT_FIRMWARE_REVISION,
&g_HMF2500_RS_ATTR_OPTIONS_LIST,
&g_HMF2500_RS_ATTR_IO_RESOURCE_DESCRIPTOR,
&g_HMF2500_RS_ATTR_LOGICAL_NAME,
&g_HMF2500_RS_ATTR_PRIMARY_ERROR,
&g_HMF2500_RS_ATTR_SECONDARY_ERROR,
&g_HMF2500_RS_ATTR_ERROR_ELABORATION,
&g_HMF2500_RS_ATTR_VISA_RM_SESSION,
&g_HMF2500_RS_ATTR_IO_SESSION,
&g_HMF2500_RS_ATTR_IO_SESSION_TYPE,
&g_HMF2500_RS_ATTR_SPECIFIC_DRIVER_MAJOR_VERSION,
&g_HMF2500_RS_ATTR_SPECIFIC_DRIVER_MINOR_VERSION,
&g_HMF2500_RS_ATTR_SPECIFIC_DRIVER_MINOR_MINOR_VERSION,
&g_HMF2500_RS_ATTR_CLASS_DRIVER_MAJOR_VERSION,
&g_HMF2500_RS_ATTR_CLASS_DRIVER_MINOR_VERSION,
&g_HMF2500_RS_ATTR_ENGINE_MAJOR_VERSION,
&g_HMF2500_RS_ATTR_ENGINE_MINOR_VERSION,
&g_HMF2500_RS_ATTR_ENGINE_REVISION,
&g_HMF2500_RS_ATTR_OPC_CALLBACK,
&g_HMF2500_RS_ATTR_CHECK_STATUS_CALLBACK,
&g_HMF2500_RS_ATTR_OPC_TIMEOUT,
&g_HMF2500_ATTR_FREQUENCY,
&g_HMF2500_ATTR_PERIOD,
&g_HMF2500_ATTR_POWER_LEVEL,
&g_HMF2500_ATTR_POWER_LEVEL_WITH_OFFSET,
&g_HMF2500_ATTR_POWER_LEVEL_OFFSET_ENABLED,
&g_HMF2500_ATTR_POWER_LEVEL_OFFSET,
&g_HMF2500_ATTR_OUTPUT_ENABLED,
&g_HMF2500_ATTR_OUTPUT_FUNCTION,
&g_HMF2500_ATTR_AMPLITUDE_UNIT,
&g_HMF2500_ATTR_OUTPUT_LOAD,
&g_HMF2500_ATTR_OUTPUT_POLARITY,
&g_HMF2500_ATTR_SQUARE_DUTY_CYCLE,
&g_HMF2500_ATTR_SQUARE_WIDTH,
&g_HMF2500_ATTR_RAMP_SYMMETRY,
&g_HMF2500_ATTR_RAMP_EDGE_TIME,
&g_HMF2500_ATTR_PULSE_DUTY_CYCLE,
&g_HMF2500_ATTR_PULSE_WIDTH,
&g_HMF2500_ATTR_PULSE_EDGE_TIME,
&g_HMF2500_ATTR_TRIGGER_ENABLED,
&g_HMF2500_ATTR_TRIGGER_SOURCE,
&g_HMF2500_ATTR_TRIGGER_SLOPE,
&g_HMF2500_ATTR_OUTPUT_TRIGGER_SLOPE,
&g_HMF2500_ATTR_MODULATION_SHAPE,
&g_HMF2500_ATTR_AM_ENABLED,
&g_HMF2500_ATTR_AM_SOURCE,
&g_HMF2500_ATTR_AM_DEPTH,
&g_HMF2500_ATTR_FM_ENABLED,
&g_HMF2500_ATTR_FM_SOURCE,
&g_HMF2500_ATTR_FM_DEVIATION,
&g_HMF2500_ATTR_PM_ENABLED,
&g_HMF2500_ATTR_PM_SOURCE,
&g_HMF2500_ATTR_PM_DEVIATION,
&g_HMF2500_ATTR_PULSE_ENABLED,
&g_HMF2500_ATTR_PULSE_SOURCE,
&g_HMF2500_ATTR_PULSE_MODULATION_DUTY_CYCLE,
&g_HMF2500_ATTR_PULSE_INTERNAL_FREQUENCY,
&g_HMF2500_ATTR_FSK_ENABLED,
&g_HMF2500_ATTR_FSK_SOURCE,
&g_HMF2500_ATTR_FSK_DUTY_CYCLE,
&g_HMF2500_ATTR_FSK_FREQUENCY,
&g_HMF2500_ATTR_FSK_HOP,
&g_HMF2500_ATTR_SWEEP_ENABLED,
&g_HMF2500_ATTR_SWEEP_FREQUENCY,
&g_HMF2500_ATTR_SWEEP_SPACING,
&g_HMF2500_ATTR_SWEEP_TIME,
&g_HMF2500_ATTR_SWEEP_MARKER_ENABLED,
&g_HMF2500_ATTR_SWEEP_MARKER_FREQUENCY,
&g_HMF2500_ATTR_SWEEP_MARKER_STYLE,
&g_HMF2500_ATTR_BURST_ENABLED,
&g_HMF2500_ATTR_BURST_MODE,
&g_HMF2500_ATTR_BURST_N_CYCLES,
&g_HMF2500_ATTR_BURST_INTERNAL_PERIOD,
&g_HMF2500_ATTR_BURST_PHASE,
&g_HMF2500_ATTR_DISPLAY_TRACE_ENABLE,
&g_HMF2500_ATTR_DISPLAY_TRACE_INTENSITY,
&g_HMF2500_ATTR_DISPLAY_GRID,
&g_HMF2500_ATTR_DISPLAY_LED_BRIGHTNESS,
&g_HMF2500_ATTR_DISPLAY_BACKLIGHT,
&g_HMF2500_ATTR_ARB_FUNCTION,
&g_HMF2500_ATTR_DATA_SAVE,
&g_HMF2500_ATTR_HARDCOPY_FORMAT,
&g_HMF2500_ATTR_QUERY_HARDCOPY_SIZE_X,
&g_HMF2500_ATTR_QUERY_HARDCOPY_SIZE_Y,
&g_HMF2500_ATTR_ID_QUERY_RESPONSE,
&g_HMF2500_ATTR_SYSTEM_REFERENCE,
&g_HMF2500_ATTR_SYSTEM_SOUND_ERROR_BEEPER,
&g_HMF2500_ATTR_SYSTEM_SOUND_CONTROL_BEEPER,
&g_HMF2500_ATTR_RESET,
&g_HMF2500_ATTR_SYSTEM_ERROR,
&g_HMF2500_ATTR_SYSTEM_SERIAL_NUMBER,
&g_HMF2500_ATTR_SYSTEM_SOFTWARE_VERSION,
&g_HMF2500_ATTR_SYSTEM_HARDWARE_NUMBER,
&g_HMF2500_ATTR_INSTRUMENT_NAME,

VI_NULL
};
